Bug 799099 - [abrt] kernel: BUG: sleeping function called from invalid context at kernel/mutex.c:271
[abrt] kernel: BUG: sleeping function called from invalid context at kernel/m...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:0927102cd9adedcf26d57cfa89f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-01 14:03 EST by Dennis Gilmore
Modified: 2012-06-19 08:28 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-19 08:28:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dennis Gilmore 2012-03-01 14:03:42 EST
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        rd.md=0 root=/dev/mapper/vg_adria-lv_root rd.dm=0  KEYTABLE=us-acentos quiet SYSFONT=latarcyrheb-sun16 rd.lvm.lv=vg_adria/lv_swap rd.luks.uuid=luks-0ada1590-99b2-4560-8cd6-065917f9083e LANG=es_US.UTF-8  rd.lvm.lv=vg_adria/lv_root ro rd.info rhgb 
kernel:         3.3.0-0.rc4.git1.4.fc17.x86_64
reason:         BUG: sleeping function called from invalid context at kernel/mutex.c:271
time:           jue 01 mar 2012 12:53:32 CST

backtrace:
:BUG: sleeping function called from invalid context at kernel/mutex.c:271
:in_atomic(): 1, irqs_disabled(): 0, pid: 10451, name: NetworkManager
:INFO: lockdep is turned off.
:Pid: 10451, comm: NetworkManager Not tainted 3.3.0-0.rc4.git1.4.fc17.x86_64 #1
:Call Trace:
: [<ffffffff810966fc>] __might_sleep+0x13c/0x200
: [<ffffffff8154c470>] ? sock_def_readable+0x30/0x1c0
: [<ffffffff8169a81e>] mutex_lock_nested+0x2e/0x3a0
: [<ffffffff81571100>] ? rtnetlink_net_init+0x50/0x50
: [<ffffffff8158e25c>] ? netlink_dump_start+0xdc/0x180
: [<ffffffff81571100>] ? rtnetlink_net_init+0x50/0x50
: [<ffffffff81571897>] rtnl_lock+0x17/0x20
: [<ffffffff81573ef8>] rtnetlink_rcv_msg+0x1f8/0x2e0
: [<ffffffff81571897>] ? rtnl_lock+0x17/0x20
: [<ffffffff81573d00>] ? __rtnl_unlock+0x20/0x20
: [<ffffffff815901b1>] netlink_rcv_skb+0xa1/0xb0
: [<ffffffff815718c5>] rtnetlink_rcv+0x25/0x40
: [<ffffffff8158fafd>] netlink_unicast+0x19d/0x1f0
: [<ffffffff8158fe2b>] netlink_sendmsg+0x2db/0x360
: [<ffffffff8154c66d>] ? sock_update_netprioidx+0x6d/0x250
: [<ffffffff81544888>] sock_sendmsg+0xf8/0x130
: [<ffffffff81545f9d>] ? sock_recvmsg+0xfd/0x130
: [<ffffffff811745d5>] ? might_fault+0xa5/0xb0
: [<ffffffff8117458c>] ? might_fault+0x5c/0xb0
: [<ffffffff81555266>] ? verify_iovec+0x56/0xd0
: [<ffffffff81545e8e>] __sys_sendmsg+0x42e/0x440
: [<ffffffff811bd612>] ? fget_light+0x62/0x4a0
: [<ffffffff811bd6a0>] ? fget_light+0xf0/0x4a0
: [<ffffffff811bd612>] ? fget_light+0x62/0x4a0
: [<ffffffff81548c59>] sys_sendmsg+0x49/0x90
: [<ffffffff816a74a9>] system_call_fastpath+0x16/0x1b

smolt_data:
:
:
:General
:=================================
:UUID: 3f75176f-e8ad-46d1-bf55-28bf4fd39e92
:SO: Fedora release 17 (Beefy Miracle)
:Nivel de ejecución por defecto: Unknown
:Idioma: es_US.UTF-8
:Plataforma: x86_64
:BogoMIPS: 5382.11
:Fabricante de CPU: GenuineIntel
:Modelo de CPU: Intel(R) Core(TM) i7-2620M CPU @ 2.70GHz
:Paso del UCP: 7
:Familia de UCP: 6
:Número de Modelo de CPU: 42
:Número de CPUs: 4
:Velocidad del CPU: 2701
:Memoria del Sistema: 3815
:Intercambio (swap) del Sistema: 5887
:Vendedor: LENOVO
:Sistema: 4291CL9 ThinkPad X220
:Factor de forma: Notebook
:Kernel: 3.3.0-0.rc5.git3.1.fc17.x86_64
:SELinux Habilitado: 1
:Política de SELinux: targeted
:SELinux Obligado: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Dispositivos
:=================================
:(32902:7247:6058:8666) pci, None, PCI/ISA, QM67 Express Chipset Family LPC Controller
:(4480:59426:6058:8666) pci, sdhci-pci, BASE, MMC/SD Host Controller
:(32902:294:6058:8666) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7190:6058:8666) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:6058:8666) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:6058:8666) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(32902:7196:6058:8666) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 7
:(32902:7192:6058:8666) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 5
:(32902:7200:6058:8666) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:5378:6058:8654) pci, e1000e, ETHERNET, 82579LM Gigabit Network Connection
:(32902:7213:6058:8666) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7202:6058:8666) pci, i801_smbus, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(32902:133:32902:4881) pci, iwlwifi, NETWORK, Centrino Advanced-N 6205 AGN
:(32902:7171:6058:8666) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7229:6058:8666) pci, serial, 16550_SERIAL, 6 Series/C200 Series Chipset Family KT Controller
:(32902:7206:6058:8666) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:6058:8666) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:6058:8666) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:(4147:404:6058:8666) pci, xhci_hcd, USB, uPD720200 USB 3.0 Host Controller
:
:
:Información relacionada con el sistema de archivos
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_adria-lv_root / ext4 4096 4096 40906595 19156003 17108003 10240000 8992212 8992212
:/dev/sda2 /boot ext4 1024 1024 508745 409989 384389 128016 127988 127988
:/dev/sda1 WITHHELD vfat 8192 8192 1498694 1498647 1498647 0 0 0
:
Comment 1 Dave Jones 2012-06-18 18:51:11 EDT
did this ever happen again ?
Comment 2 Dennis Gilmore 2012-06-18 22:04:17 EDT
i dont think it did, ive not seen it in ages if it did.

Note You need to log in before you can comment on or make changes to this bug.